#include "ti84pcse.inc"

#define bcall(xxxx) rst 28h \ .dw xxxx

LCDInstPort   equ $10 ;set register
LCDDataPort   equ $11 ;set value

LCDControl    equ $07 ;partial image enable, base image enable, 8 color mode
LCDLCL        equ 3   ;0=full color (def) 1=8 color mode

.org userMem

LowColor:
 ld a,LCDControl
 call DisplayReadHL
 bit LCDLCL,l
 set LCDLCL,l
 jp z,KSLC
 res LCDLCL,l
KSLC:
 ld a,LCDControl
DisplayWriteHL:
 ld c,LCDDataPort
 ld b,a
 xor a
 out (LCDInstPort),a
 ld a,b
 out (LCDInstPort),a
 out (c),h
 out (c),l
 ret
DisplayReadHL:
 ld c,LCDDataPort
 ld b,a
 xor a
 out (LCDInstPort),a
 ld a,b
 out (LCDInstPort),a
 in h,(c)
 in l,(c)
 ret 
 
.end
